
%{!?svn_rev:%define svn_rev 5066}
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

Name: mlink
Summary: M-Link common package
Version: 1.28
Release: 6.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/mlink
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel >= 1.2
%if 0%{?fedora}
BuildRequires: qt-devel >= 4.2
%else
BuildRequires: qt4-devel >= 4.2
%endif

%description
M-Link is a custom communication interface based on packet structure like
Ethernet. It is used with ADCM, VMEDAQ projects.

%prep
%setup -q -n %{name}-%{version}

%build
make src NODEBUG=yes svn_rev=%{svn_rev} INSTALL_ROOT=%{buildroot}%{_prefix} LIBDIR=%{_lib}


%install
rm -rf $RPM_BUILD_ROOT
make -C src install
install -d %{buildroot}%{_prefix}/bin
install driver-pex/mlink_load %{buildroot}%{_prefix}/bin/

%post
grep -q mlink_load %{_sysconfdir}/rc.d/rc.local || echo "mlink_load" >> %{_sysconfdir}/rc.d/rc.local

%files
%defattr(-,root,root,-)
%{_bindir}/*
#{_sysconfdir}/security/console.perms.d/security.perms

%package devel
Summary: M-Link headers and static libraries
Group: Development/Libraries
Requires: boost >= 1.32
BuildRequires: boost-devel >= 1.32

%description devel
M-Link headers and static libraries

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu May 14 2009  <Ilja.Slepnev@jinr.ru> - 
- Backported to 1.28-3

* Tue May 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Split in two packages: mlink and mlink-kmod

* Wed Apr 22 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.30: build with kmodtool2. Package name changed: mlink-utils, mlink-kmod

* Mon Apr 20 2009  <Ilja.Slepnev@jinr.ru> - 
- removed mlink.ko file. use melink.ko

* Wed Apr 08 2009  <Ilja.Slepnev@jinr.ru> - 
- 1.29: Removed special run-mode. Packet mode only.

* Tue Mar 25 2009  <Ilja.Slepnev@jinr.ru> - 
- Fixed communication problem caused by receiver_reset() in RXC handler
- testlink: Fixed clock locking problem when changing loopback mode

* Tue Mar  3 2009  <Ilja.Slepnev@jinr.ru> - 
- Changed version to 1.28
- Added MlinkDevice interface class

* Thu Feb 12 2009  <Ilja.Slepnev@jinr.ru> - 
- Added control frame loopback bit

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Handle link up/down status on reset, use OSD bit

* Thu Nov 28 2008  <Ilja.Slepnev@jinr.ru> - 
- defined 'kdir' macro
- fixed x86_64 warnings

* Thu Nov 27 2008  <Ilja.Slepnev@jinr.ru> - 
- spec file corrected to build on Fedora 10.

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

